Package org.eclipse.emf.compare.ide.ui.internal.logical.resolver

# Class LocalModelsResolution

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractResolution
org.eclipse.emf.compare.ide.ui.internal.logical.resolver.LocalModelsResolution

public class LocalModelsResolution extends AbstractResolution
Called by EMF Compare in order to resolve the logical models corresponding to the given IResources. Only local data is available.

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractResolution

`context, diagnostic, implicitDependencies, logger, monitor`

## Constructor Summary

Constructors
Constructor
Description
`LocalModelsResolution(IResolutionContext context, org.eclipse.core.resources.IResource left, org.eclipse.core.resources.IResource right, org.eclipse.core.resources.IResource origin, org.eclipse.core.runtime.IProgressMonitor monitor)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`allResourcesAreFiles()`
Indicates whether all the resources are instances of `IFile`.
`SynchronizationModel`
`run()`
Executes this treatment.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.logical.resolver.AbstractResolution

`asURISet, call, getFinalizeResolvingRunnable, getImplicitDependencies, getTicks, resolveTraversal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocalModelsResolution

public LocalModelsResolution(IResolutionContext context, org.eclipse.core.resources.IResource left, org.eclipse.core.resources.IResource right, org.eclipse.core.resources.IResource origin, org.eclipse.core.runtime.IProgressMonitor monitor)
Constructor.

Parameters:
  `left` - left resource
  `right` - right resource
  `origin` - common ancestor resource, may be null
  `monitor` - The progress monitor to use
  `dependencyProvider` - The dependency provider
  `scheduler` - multi-thread support
  `eventBus` - The event bus to signal events

## Method Details

### run

public SynchronizationModel run()
Executes this treatment.

Returns:
  The Logical model to use to compare the 2 or 3 resources.

### allResourcesAreFiles

protected boolean allResourcesAreFiles()
Indicates whether all the resources are instances of `IFile`.

Returns:
  `true` if and only if left and right are `IFile`s and origin is null or is an `IFile`.